#
# Copyright (c) 2013-2023 NIBIO.
#
# This file is part of VIPSWeb 
# (see https://gitlab.nibio.no/VIPS/VIPSWeb).
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
#
from django.contrib import admin
from forecasts.models import ResultParameter, ResultParameterLocal, MeasurementUnit, ModelGraphParameter, HighChartsType

class ResultParameterLocalAdminInline(admin.StackedInline):
    model = ResultParameterLocal
    extra = 2
    fields = ['language_code', 'local_name']

class ResultParameterAdmin(admin.ModelAdmin):
    list_display = ['namespace','key','name']
    list_filter = ['namespace']
    inlines = [ResultParameterLocalAdminInline]

admin.site.register(ResultParameter,ResultParameterAdmin)

admin.site.register(MeasurementUnit)

admin.site.register(HighChartsType)

admin.site.register(ModelGraphParameter)