# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import tinymce.models


class Migration(migrations.Migration):

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Information',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('main_illustration', models.ImageField(upload_to=b'images/information', verbose_name='Hovedillustrasjon', blank=True)),
                ('parent_information', models.ForeignKey(related_name='children', verbose_name='Informasjon', blank=True, to='information.Information', null=True,on_delete=models.CASCADE)),
            ],
        ),
        migrations.CreateModel(
            name='InformationAttachment',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('attachment', models.FileField(upload_to=b'attachments/information', verbose_name='Vedlegg', blank=True)),
                ('information', models.ForeignKey(to='information.Information',on_delete=models.CASCADE)),
            ],
        ),
        migrations.CreateModel(
            name='InformationIllustration',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('illustration', models.ImageField(upload_to=b'images/information', verbose_name='Illustrasjon', blank=True)),
                ('information', models.ForeignKey(to='information.Information',on_delete=models.CASCADE)),
            ],
        ),
        migrations.CreateModel(
            name='InformationLocale',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('headline', models.CharField(max_length=200, verbose_name='Overskrift')),
                ('lead_paragraph', models.TextField(verbose_name='Ingress')),
                ('body', tinymce.models.HTMLField(verbose_name='Br\xf8dtekst')),
                ('language_code', models.CharField(max_length=2, verbose_name='Spr\xe5kkode')),
                ('information', models.ForeignKey(to='information.Information',on_delete=models.CASCADE)),
            ],
        ),
    ]
