#
# Copyright (c) 2013-2023 NIBIO.
#
# This file is part of VIPSWeb 
# (see https://gitlab.nibio.no/VIPS/VIPSWeb).
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
#
from django.shortcuts import render, redirect
from django.http import Http404
from django.conf import settings


# Fallback view - only displaying info for user to move on
def index(request):
    context = {
        "available_grid_models": settings.AVAILABLE_GRID_MODELS if hasattr(settings, "AVAILABLE_GRID_MODELS") else []
        }
    return render(request, 'spatial/index.html', context)

# The main view. Expects a valid model_id, otherwise it defaults to index
def gridmap(request, model_id=None):
    try:
        for model in settings.AVAILABLE_GRID_MODELS:
            if model_id == model["model_id"]:
                context = {"model_id": model_id, "url": model["url"]}
                return render(request, 'spatial/gridmap.html', context)
    except AttributeError:
        pass
    return redirect("../")


    
